#!/bin/sh
##
# Maximum number of HTTP headers permited by server
#                              - pancake


if [ "$2" = "" ]; then
	echo "Usage '$0' addr port"
	exit
fi

perl << _EOF_ | nc $1 $2

print "GET / HTTP/1.1\r\n";
print STDERR "Checking max headers accepted\n";
for (\$n=1;1;\$n++)
{ print "Host: pancake\r\n";
  print STDERR "\$n\n"; }
  
_EOF_



